/*	:*****************************************************************
	:	"guidefs.h"
	:*****************************************************************
*/
#ifndef	_GUIDEFS_H
#define	_GUIDEFS_H

#ifndef	_SPDEFS_H
#	include	"spdefs.h"
#endif

extern	CONST void	*NULSTR;

#define	SCXMAX	(640)
#define	SCYMAX	(480)
#define	SWXMAX	(1024)
#define	SWYMAX	(512)

#define	C_BLACK		0
#define	C_BLUE		1
#define	C_RED		2
#define	C_MAGENTA	3
#define	C_GREEN		4
#define	C_CYAN		5
#define	C_YELLOW	6
#define	C_WHITE		7
#define	C_HBLACK	8
#define	C_HBLUE		9
#define	C_HRED		10
#define	C_HMAGENTA	11
#define	C_HGREEN	12
#define	C_HCYAN		13
#define	C_HYELLOW	14
#define	C_HWHITE	15

#define	C_THROUGH	0
#define	C_MBLACK	1

#define	PSET	0
#define	PRESET	1
#define	OR		2
#define	AND		3
#define	XOR		4
#define	NOT		5
#define	OPAQUE	9

#define	MASKSET		13
#define	MASKRESET	14
#define	MASTNOT		15

extern	char	*EgbPtr;
extern	char	*MosPtr;
extern	char	*SndPtr;

typedef	struct
{	SHORT	x, y;
} POINT;

typedef	struct
{	SHORT	x1, y1, x2, y2;
} FRAME;

typedef	struct
{	SHORT	x0, y0, xs, ys;
} FRAME2;

typedef	SHORT	COLOR;

typedef	struct
{	int		md;
	FRAME	fr;							/* ʘg					*/
	FRAME	sc;							/* \XN[TCY		*/
	FRAME	view;						/* r[|[g				*/
	POINT	dspstart;					/* \Jnʒu				*/
	FRAME	dlgArea;					/* _CAO\͈		*/
} SCINF;

typedef	struct	/* fBXvCRg[\	*/
{
	USHORT	ds;							/* DS						*/
	SHORT	dmy_1;

	UCHAR	page0;						/* page 0 ̉𑜓x		*/
	UCHAR	page1;						/* page 1 ̉𑜓x		*/
	UCHAR	writePage;					/* ݃y[W			*/
	UCHAR	displayPage;				/* \y[W				*/

	UCHAR	priority;					/* \vCIeB		*/
	UCHAR	mode;						/* F						*/
	USHORT	width;						/* vram TCY			*/

	SCINF	scinf[2];					/* ʏ					*/

	UCHAR	sysPage;					/* VXes\y[W		*/
	char	dmy_2[3];

	COLOR	white;						/* F						*/
	COLOR	black;						/* F						*/
	COLOR	gray;						/* DF						*/
	COLOR	xor;						/* ]F					*/
	COLOR	shadow;						/* e						*/
	COLOR	dark;						/* DF2					*/

	UCHAR	fntype;						/* tHg^Cv			*/
	UCHAR	defFnt;						/* ftHgtHg		*/
	char	sdkAtFlag;					/* TCh[NN?? 	*/
	char	pclAtFlag;					/* qvZXN??		*/

} DSPCTRL;

extern	DSPCTRL	DspCtrl;

typedef struct
{
	int		ignore;				/* \					*/
	int		dsp;				/* \tO				*/
	POINT	point;				/* J[\W				*/
	FRAME	move;				/* J[\ړ͈			*/
	int		page;				/* ݃y[W			*/
	int		curptn;				/* J[\p^[No.		*/
	int		scrollPage;			/* XN[y[W			*/
} MOSINF;						/* }EX\			*/

extern	MOSINF	MosInf;

#endif
